TransactionAttributeSourceEditor (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.transaction.interceptor

## Class TransactionAttributeSourceEditor

- java.lang.Object
- - java.beans.PropertyEditorSupport
  - - org.springframework.transaction.interceptor.TransactionAttributeSourceEditor

- All Implemented Interfaces:
    PropertyEditor

      public class TransactionAttributeSourceEditor
      extends PropertyEditorSupport

  Property editor that converts a String into a `TransactionAttributeSource`. The transaction attribute string must be parseable by the `TransactionAttributeEditor` in this package.

  Strings are in property syntax, with the form:
  `FQCN.methodName=&lt;transaction attribute string&gt;`

  For example:
  `com.mycompany.mycode.MyClass.myMethod=PROPAGATION_MANDATORY,ISOLATION_DEFAULT`

  NOTE: The specified class must be the one where the methods are defined; in case of implementing an interface, the interface class name.

  Note: Will register all overloaded methods for a given name. Does not support explicit registration of certain overloaded methods. Supports "xxx*" mappings, e.g. "notify*" for "notify" and "notifyAll".

  Since:
    26.04.2003
  Author:
    Rod Johnson, Juergen Hoeller
  See Also:
    `TransactionAttributeEditor`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionAttributeSourceEditor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setAsText(String text)`

    - ### Methods inherited from class java.beans.PropertyEditorSupport

      `addPropertyChangeListener, firePropertyChange, getAsText, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionAttributeSourceEditor

          public TransactionAttributeSourceEditor()

  - ### Method Detail

    - #### setAsText

          public void setAsText(String text)
                         throws IllegalArgumentException

      Specified by:
        `setAsText` in interface `PropertyEditor`
      Overrides:
        `setAsText` in class `PropertyEditorSupport`
      Throws:
        `IllegalArgumentException`